with unique_pairs as (
	select distinct a1.name as character1,
		a2.name as character2
	from achievements a1
		join achievements a2 on a1.id = a2.id
		and a1.name < a2.name
)
select *
from unique_pairs